This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 894558 - (ghc-byteorder) Review Request: ghc-byteorder - Exposes the native endianness or byte ordering of the system
Review Request: ghc-byteorder - Exposes the native endianness or byte orderi...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ghc-wai-logger
  Show dependency treegraph
 
Reported: 2013-01-12 01:27 EST by Narasimhan
Modified: 2013-02-18 20:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-18 20:33:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Narasimhan 2013-01-12 01:27:41 EST
Spec file: http://narasim.fedorapeople.org/package_reviews/ghc-byteorder.spec
SRPM: http://narasim.fedorapeople.org/package_reviews/ghc-byteorder-1.0.3-1.fc17.src.rpm
Description: This package is for working with the native byte-ordering of the system.
FAS username : narasim

rpmlint output:
rpmlint  -i ghc-byteorder-1.0.3-1.fc17.src.rpm ghc-byteorder-devel-1.0.3-1.fc17.x86_64.rpm ghc-byteorder-1.0.3-1.fc17.x86_64.rpm ../ghc-byteorder.spec
ghc-byteorder.src: W: spelling-error Summary(en_US) endianness -> sandiness, candidness, handiness
The value of this tag appears to be misspelled. Please double-check.

ghc-byteorder-devel.x86_64: W: spelling-error Summary(en_US) endianness -> sandiness, candidness, handiness
The value of this tag appears to be misspelled. Please double-check.

ghc-byteorder.x86_64: W: spelling-error Summary(en_US) endianness -> sandiness, candidness, handiness
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 3 warnings.
Comment 2 Ben Boeckel 2013-01-30 21:24:48 EST
Spec URL: http://benboeckel.net/packaging/ghc-byteorder/ghc-byteorder.spec
SRPM URL: http://benboeckel.net/packaging/ghc-byteorder/ghc-byteorder-1.0.3-1.fc18.src.rpm
Description: This package is for working with the native byte-ordering of the system.
FAS username : narasim

Taking over since Narasim is no longer packaging.
Comment 3 Ben Boeckel 2013-01-30 21:25:50 EST
Darn copy/paste.

Spec URL: http://benboeckel.net/packaging/ghc-byteorder/ghc-byteorder.spec
SRPM URL: http://benboeckel.net/packaging/ghc-byteorder/ghc-byteorder-1.0.3-1.fc18.src.rpm
Description: This package is for working with the native byte-ordering of the system.
FAS username : mathstuf
Comment 4 Jens Petersen 2013-02-04 03:29:09 EST
Ben - usual permission problem on your urls. :)
Comment 5 Ben Boeckel 2013-02-06 00:14:38 EST
Should be fixed now.
Comment 6 Jens Petersen 2013-02-06 01:14:43 EST
Thanks - looks good to me:

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[-]: Static libraries in -static subpackage, if present.
     Note: ghc-byteorder-devel-1.0.3-1.fc19.x86_64.rpm :
     /usr/lib64/ghc-7.4.2/byteorder-1.0.3/libHSbyteorder-1.0.3.a ghc-
     byteorder-devel-1.0.3-1.fc19.x86_64.rpm :
     /usr/lib64/ghc-7.4.2/byteorder-1.0.3/libHSbyteorder-1.0.3_p.a

Waived by Haskell Packaging Guidelines

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 81920 bytes in 17 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[-]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (byteorder-1.0.3.tar.gz)
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: ghc-byteorder-1.0.3-1.fc19.x86_64.rpm
          ghc-byteorder-devel-1.0.3-1.fc19.x86_64.rpm
          ghc-byteorder-1.0.3-1.fc19.src.rpm
ghc-byteorder.x86_64: W: spelling-error Summary(en_US) endianness -> sandiness, candidness, handiness
ghc-byteorder-devel.x86_64: W: spelling-error Summary(en_US) endianness -> sandiness, candidness, handiness
ghc-byteorder.src: W: spelling-error Summary(en_US) endianness -> sandiness, candidness, handiness
ghc-byteorder.src: W: strange-permission ghc-byteorder.spec 0640L
ghc-byteorder.src: W: strange-permission byteorder-1.0.3.tar.gz 0640L
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-byteorder-devel ghc-byteorder
ghc-byteorder-devel.x86_64: W: spelling-error Summary(en_US) endianness -> sandiness, candidness, randiness
ghc-byteorder.x86_64: W: spelling-error Summary(en_US) endianness -> sandiness, candidness, randiness
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-byteorder-1.0.3-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    ghc(base-4.5.1.0-6e4c9bdc36eeb9121f27ccbbcb62e3f3)
    libHSbase-4.5.1.0-ghc7.4.2.so()(64bit)
    libHSghc-prim-0.2.0.0-ghc7.4.2.so()(64bit)
    libHSinteger-gmp-0.4.0.0-ghc7.4.2.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-byteorder-devel-1.0.3-1.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    ghc(byteorder-1.0.3-1911ade9e85813fca1b9d820cc27734e)
    ghc-byteorder = 1.0.3-1.fc19
    ghc-compiler = 7.4.2
    ghc-devel(base-4.5.1.0-6e4c9bdc36eeb9121f27ccbbcb62e3f3)



Provides
--------
ghc-byteorder-1.0.3-1.fc19.x86_64.rpm:
    
    ghc(byteorder-1.0.3-1911ade9e85813fca1b9d820cc27734e)
    ghc-byteorder = 1.0.3-1.fc19
    ghc-byteorder(x86-64) = 1.0.3-1.fc19
    libHSbyteorder-1.0.3-ghc7.4.2.so()(64bit)

ghc-byteorder-devel-1.0.3-1.fc19.x86_64.rpm:
    
    ghc-byteorder-devel = 1.0.3-1.fc19
    ghc-byteorder-devel(x86-64) = 1.0.3-1.fc19
    ghc-byteorder-doc = 1.0.3-1.fc19
    ghc-byteorder-prof = 1.0.3-1.fc19
    ghc-devel(byteorder-1.0.3-1911ade9e85813fca1b9d820cc27734e)


Unversioned so-files
--------------------
ghc-byteorder-1.0.3-1.fc19.x86_64.rpm: /usr/lib64/ghc-7.4.2/byteorder-1.0.3/libHSbyteorder-1.0.3-ghc7.4.2.so

MD5-sum check
-------------
http://hackage.haskell.org/packages/archive/byteorder/1.0.3/byteorder-1.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 5ef1125f2c6506ba6303f59f3265b4d0caaa6dbe897cf14dac715e920f59d214
  CHECKSUM(SHA256) upstream package : 5ef1125f2c6506ba6303f59f3265b4d0caaa6dbe897cf14dac715e920f59d214


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 894558
Comment 7 Jens Petersen 2013-02-06 03:15:16 EST
Standard Haskell package - no problems and looks fine to me.

APPROVED
Comment 8 Ben Boeckel 2013-02-07 13:31:59 EST
New Package SCM Request
=======================
Package Name: ghc-byteorder
Short Description: Exposes the native endianness or byte ordering of the system
Owners: mathstuf
Branches: f17 f18
InitialCC: haskell-sig
Comment 9 Jon Ciesla 2013-02-07 15:23:45 EST
Git done (by process-git-requests).
Comment 10 Ben Boeckel 2013-02-07 15:39:40 EST
Building for Rawhide.
Comment 11 Fedora Update System 2013-02-07 21:01:00 EST
ghc-byteorder-1.0.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-byteorder-1.0.3-2.fc17
Comment 12 Fedora Update System 2013-02-07 21:01:25 EST
ghc-byteorder-1.0.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-byteorder-1.0.3-2.fc18
Comment 13 Fedora Update System 2013-02-08 12:02:03 EST
ghc-byteorder-1.0.3-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 14 Fedora Update System 2013-02-18 20:33:21 EST
ghc-byteorder-1.0.3-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 15 Fedora Update System 2013-02-18 20:33:59 EST
ghc-byteorder-1.0.3-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.